## flexit-bacnet 2.2.3

=== Makefile ===
build:
	rm -rf ./dist
	python3 -m pip install --upgrade build
	python3 -m build

release:
	python3 -m pip install --upgrade twine
	python3 -m twine upload -u __token__ dist/*

## flexit-bacnet 2.2.1

=== debian/changelog ===
flexit-bacnet (2.2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 18:45:07 -0500

flexit-bacnet (2.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1085022)

 -- Edward Betts <edward@4angle.com>  Sun, 13 Oct 2024 10:55:03 +0100

=== debian/control ===
Source: flexit-bacnet
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/piotrbulinski/flexit_bacnet
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/flexit-bacnet
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/flexit-bacnet.git

Package: python3-flexit-bacnet
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for interacting with Flexit air handling units
 This library enables communication with Flexit Nordic series air handling
 units using the BACnet protocol. It facilitates the monitoring and control of
 various device features such as ventilation modes, temperatures, and fan
 settings. Users can retrieve sensor data including air temperatures and fan
 control signals, and interact with elements such as the electric heater.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flexit-bacnet

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf flexit_bacnet.egg-info/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/flexit-bacnet-$1\.tar\.gz/ \
  https://github.com/piotrbulinski/flexit_bacnet/tags .*/v?(\d\S+)\.tar\.gz

## flexit-bacnet 2.2.3

=== debian/changelog ===
flexit-bacnet (2.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sun, 23 Feb 2025 10:18:04 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/piotrbulinski/flexit_bacnet
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/flexit-bacnet
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/flexit-bacnet.git

=== debian/watch ===
version=4
https://github.com/piotrbulinski/flexit_bacnet/tags .*/v?(\d\S+)\.tar\.gz
